Skip to Content

DELETE Accounts

Use this endpoint to delete an account within a branch.

User level: Advanced

Endpoint

DELETE /v1/{scopeId}/accounts/{id}
PropertyValue
MethodDELETE
Scope IDBranch UUID
Resource IDRequired account UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:accounts:write
Request bodyNot required

Delete rules

  • The API validates server-side whether the account belongs to the allowed organization and branch.
  • The account ID in the URL is required.
  • No request body is needed.
  • Before deleting an account, the API checks whether the account is linked to the branch from the URL through account_branches.

Example request

curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/accounts/550e8400-e29b-41d4-a716-446655440001" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440001", "deleted": true }, "version": "v1" }

Error response

{ "error": "not_found", "error_description": "The account could not be found for this branch" }

Possible error codes

  • 400 invalid_request
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed
Last updated on